project:
  type: manuscript
  output-dir: "_out"
  preview:
    port: 2059
    #host: 0.0.0.0
    #browser: false
    watch-inputs: true
format:
  acm-html:
    hypothesis: false
  acm-pdf:
    output-file: mastodon-recommendations-acm.pdf
    include-in-header:
      - text: |
          \usepackage{siunitx}
  docx: default
profile:
  default: acm
manuscript:
  article: acm.qmd
  code-links:
    - text: Preprocessing
      href: code/preprocess.py
    - text: R code
      href: code/helpers.R
    - href: code/survival.R
  notebooks: 
    - notebook: notebooks/_moved.qmd
    - notebook: notebooks/arima.qmd
    - notebook: notebooks/revisions.qmd
  environment: renv.lock
execute:
  freeze: auto
